Flex Builder dengan Eclipse 3.4+ di Ubuntu

26 07 2010

pertama kali tertarik dengan Flex , adalah ketika saya tertarik dengan RIA teknologi (yang dalam istilah Adobe, disebut Adobe Air). Dan semakin mempelajarinya, ternyata mantab sekali Flex ini.
Hehe… yang bingung, Flex ini apaan, silahkan menilik disini .

Berhubung OS yang saya gunakan adalah Ubuntu, jadi saya mencoba memasang Flex Builder di Ubuntu. Setalah muter sana sini, nanya mbah Google, bisa juga. Sebenernya sangat mudah, karena Adobe sendiri menyediakan Flex Builder for Linux Sempat menemui kendala, tapi telah teratasi.

Berikut langkah-langkah saya menginstall Flex Builder di Ubuntu :

1. Langkah pertama saya adalah menginstall paket java-common , menggunakan Synaptic Package Manager . Ato bisa juga dari terminal. Scriptnya : sudo apt-get install java-common

2. Langkah berikutnya, menginstall Eclipse , karena Flex Builder for Linux membutuhkan Eclipse . Saya mendownload Eclipse Classic (jika anda mempunyai Eclipse Europa , malah lebih bagus, karena Flex Builder langsung bisa dijalankan setelah diinstall). Setelah itu, saya ekstrak dalam folder “Eclipse” di direktori “home/apps” saya.

3. Nhah, tiba saatnya untuk menginstall Flex Builder-nya. Saya download Flex Builder for Linux dari Adobe Labs . Sebelum menginstall , tidak lupa menambahkan ijin untuk eksekusi file. Caranya “sudo chmode +x flexbuilder_linux_install_a5_112409.bin” dan mengeksekusinya dengan cara “./flexbuilder_linux_install_a5_112409.bin” . Kalau tidak ada masalah dengan setting java, instalasi akan lancar. Jika ada masalah, anda bisa sedikit mengutak atik settingannya. Untuk referensi cara utak atiknya, silahkan kunjungi http://ubuntuforums.org/showthread.php?t=201378

Kalau lancar, instalasinya akan sangat mudah sekali. Berikut beberapa skrinsutnya😀 :

menentukan lokasi Flex Builder akan diinstall
menentukan lokasi Eclipse
biasanya muncul error seperti ini, asal anda yakin dalam menentukan keberadaan Eclipse, abaikan saja4. Instalasi selesai , anda tidak dapat langsung menjalankannya. Jika anda langsung menjalankan, akan mendapati pesan kesalahan seperti ini, “Actual Results:org.eclipse.jface.util.Assert$AssertionFailedException: Assertion failed:”  Karena sejak versi 3.4 , Eclipse sedikit tidak berjodoh dengan Flex Builder. Kalo versi Eclipse yang anda punyai adalah Eclipse Europa , anda dapat melewatkan langkah ini. Pertama, download dan ekstrak file untuk patch disini .  Masuk ke direktori tempat instalasi Adobe Flex Builder (misal ~/apps/Adobe_Flex_Builder_Linux) ,  masuk ke “~/apps/Adobe_Flex_Builder_Linux/eclipse/plugin” . Hapus direktori “com.adobe.flexbuilder.debug.e33_3.0.257568” dan file “com.adobe.flexbuilder.editors.derived_3.0.257568.jar” . Salin direktori “eclipse” yang terdapat di file patch yang saya berikan ke dalam direktori tempat instalasi Flex Builder (di tempat saya di ~/apps/Adobe_Flex_Builder_Linux).

5. Setelah instalasi selesai , sudah sangat mudah sekali. Tinggal jalankan aplikasi Eclipse, kemudian “File > New > Flex Project”  untuk membuat project Flex baru.

Halo Dunia

monggo berkreasi dengan Adobe Flex


Actions

Information

4 responses

28 07 2010
darmanex

mantabss bung latip…(rock)

1 02 2012
Didin

mantab omm, punten minta installer untuk flex lin, soale links sudah pada berubah omm, terima kasih sebelumnya

22 04 2012
Seddo

iya bener kata @Didin

kayaknya udah di ganti tuh

atw mau diupload jg gak apa2

3 06 2012
ahmadharis

ada instalernya gak? minta linknya😀

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s




%d bloggers like this: